<template>
  <page-loading :loading="loading">
    <view class="product-detail">
      <u-parse :content="info.detail" />
    </view>
  </page-loading>
</template>

<script>
import { mapState } from 'vuex'
import PageLoading from '@/components/PageLoading'
export default {
  name: 'CaseDetail',
  components: { PageLoading },
  data() {
    return {
      id: '',
      loading: true,
      intoView: '',
      info: {},
      specs: []
    }
  },
  computed: {
    ...mapState({
      userInfo: seate => seate.user.info
    })
  },
  methods: {
    getDetail() {
      this.$api.cases.detail(this.id).then(res => {
        wx.setNavigationBarTitle({
          title: res.data.name
        })
        this.loading = false
        this.info = res.data
      })
    },
    viewer() {
      this.$api.cases.viewer(this.id).then(res => {

      })
    }
  },
  onLoad(options) {
    this.id = options.id
    this.getDetail()
    this.viewer()
  }
}
</script>
<style>
image,video{
  margin-bottom: -10rpx;
}
</style>
<style lang="scss" scoped>
.product-detail {
  padding: 0 30rpx 30rpx;
}
</style>
